<?php

/**
 * @file
 * Lists available colors and color schemes for the OpenY Rose theme.
 */

$info = [
  // Available colors and color labels used in theme.
  'fields' => [
    'mainlight' => t('Main light color'),
    'mainmedium' => t('Main medium color'),
    'maindark' => t('Main dark color'),

    'headerbg' => t('Header background'),
    'headerhover' => t('Header menu hover'),
    'headerlink' => t('Header link'),
    'headerlinkhover' => t('Header link hover'),
    'bg' => t('Main background'),
    'footer' => t('Footer background'),
    'footertext' => t('Footer text'),
    'text' => t('Text color'),
    'link' => t('Link color'),
    'button' => t('Button color'),
    'buttonlink' => t('Button link color'),
    'primaryhighlight' => t('Primary highlight color'),
    'secondaryhighlight' => t('Secondary highlight color'),
    'branchsubheaderbg' => t('Branch subheader background'),
    'campheaderbg' => t('Camp header background'),
    'campheaderhover' => t('Camp header menu hover'),
    'campheaderlink' => t('Camp header link'),
    'campheaderlinkhover' => t('Camp header link hover'),
    'campsubheaderbg' => t('Camp subheader background'),
    'campmenubg' => t('Camp menu background'),
    'campmenulink' => t('Camp menu link color'),
    'campmenuhighlight' => t('Camp menu highlight color'),
    'campbg' => t('Camp main background'),
    'campfooter' => t('Camp footer background'),
    'campfootertext' => t('Camp footer text'),
    'camptext' => t('Camp text color'),
    'camplink' => t('Camp link color'),
    'campbutton' => t('Camp button color'),
    'campbuttonlink' => t('Camp button link color'),
  ],
  // Pre-defined color schemes.
  'schemes' => [
    // If changed colors for default scheme please
    // add same changes to openy_rose/css/colors.css file.
    'default' => [
      'title' => t('Blue sky (default)'),
      'colors' => [
        'mainlight' => '#00aeef',
        'mainmedium' => '#0089d0',
        'maindark' => '#0060af',
        'headerbg' => '#0060af',
        'headerhover' => '#0060ae',
        'headerlink' => '#fefefe',
        'headerlinkhover' => '#fdfdfd',
        'bg' => '#ffffff',
        'footer' => '#4f4f4f',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#0060ac',
        'button' => '#0060ad',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#c6168b',
        'campheaderbg' => '#5c2e92',
        'campheaderhover' => '#92278f',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#fcfcfc',
        'campsubheaderbg' => '#0060ab',
        'campmenubg' => '#0060aa',
        'campmenulink' => '#fffffd',
        'campmenuhighlight' => '#0089d0',
        'campbg' => '#fffffe',
        'campfooter' => '#006b6b',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#006b6c',
        'campbutton' => '#006b6d',
        'campbuttonlink' => '#fffff9',
      ],
    ],
    'seattle' => [
      'title' => t('Seattle'),
      'colors' => [

        'mainlight' => '#20bdbe',
        'mainmedium' => '#01a490',
        'maindark' => '#006b6b',

        'headerbg' => '#0089d0',
        'headerhover' => '#0060ae',
        'headerlink' => '#fffffb',
        'headerlinkhover' => '#d8d8d8',
        'bg' => '#ffffff',
        'footer' => '#4f4f4f',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#337ab7',
        'button' => '#00aeef',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#c6168b',
        'campheaderbg' => '#f47920',
        'campheaderhover' => '#f86b05',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#d8d8d7',
        'campsubheaderbg' => '#c6168c',
        'campmenubg' => '#0060ad',
        'campmenulink' => '#fffffd',
        'campmenuhighlight' => '#0089d1',
        'campbg' => '#fffffe',
        'campfooter' => '#01a490',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#01a491',
        'campbutton' => '#2fb998',
        'campbuttonlink' => '#fffff9',
      ],
    ],
    'endeavour' => [
      'title' => t('Endeavour Blue'),
      'colors' => [
        'mainlight' => '#00aeef',
        'mainmedium' => '#0089d0',
        'maindark' => '#0060af',
        'headerbg' => '#0060af',
        'headerhover' => '#3983c1',
        'headerlink' => '#fffffb',
        'headerlinkhover' => '#d8d8d8',
        'bg' => '#ffffff',
        'footer' => '#434343',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#428bca',
        'button' => '#00aeef',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#c6168b',
        'campheaderbg' => '#f47920',
        'campheaderhover' => '#f86b05',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#d8d8d7',
        'campsubheaderbg' => '#c6168c',
        'campmenubg' => '#0060ad',
        'campmenulink' => '#fffffd',
        'campmenuhighlight' => '#0089d1',
        'campbg' => '#fffffe',
        'campfooter' => '#01a490',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#01a491',
        'campbutton' => '#2fb998',
        'campbuttonlink' => '#fffff9',
      ],
    ],
    'vividviolet' => [
      'title' => t('Vivid Violet'),
      'colors' => [
        'mainlight' => '#c6168d',
        'mainmedium' => '#92278f',
        'maindark' => '#5c2e91',
        'headerbg' => '#822a92',
        'headerhover' => '#9950a6',
        'headerlink' => '#fffffb',
        'headerlinkhover' => '#d8d8d8',
        'bg' => '#ffffff',
        'footer' => '#434343',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#822a92',
        'button' => '#991f76',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#c6168b',
        'campheaderbg' => '#f47920',
        'campheaderhover' => '#f86b05',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#d8d8d7',
        'campsubheaderbg' => '#c6168c',
        'campmenubg' => '#0060ad',
        'campmenulink' => '#fffffd',
        'campmenuhighlight' => '#0089d1',
        'campbg' => '#fffffe',
        'campfooter' => '#01a490',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#01a491',
        'campbutton' => '#2fb998',
        'campbuttonlink' => '#fffff9',
      ],
    ],
    'baysunset' => [
      'title' => t('Bay Sunset'),
      'colors' => [
        'mainlight' => '#fcaf17',
        'mainmedium' => '#f47920',
        'maindark' => '#dd5828',
        'headerbg' => '#FBA619',
        'headerhover' => '#006B6B',
        'headerlink' => '#fffffb',
        'bg' => '#ffffff',
        'footer' => '#2DA590',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#428bca',
        'button' => '#00aeef',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#15B4AE',
        'campheaderbg' => '#15B4AD',
        'campheaderhover' => '#FBA619',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#d8d8d7',
        'campsubheaderbg' => '#0060ad',
        'campmenubg' => '#92278F',
        'campmenulink' => '#fffffd',
        'campmenuhighlight' => '#be20ba',
        'campbg' => '#fffffe',
        'campfooter' => '#c6168a',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#01a491',
        'campbutton' => '#2fb998',
        'campbuttonlink' => '#fffff9',
      ],
    ],
    'purpleorchid' => [
      'title' => t('Purple Orchid'),
      'colors' => [
        'mainlight' => '#c6168d',
        'mainmedium' => '#92278f',
        'maindark' => '#5c2e91',
        'headerbg' => '#cc66fc',
        'headerhover' => '#be0dc2',
        'headerlink' => '#fffffb',
        'bg' => '#ffffff',
        'footer' => '#1cb866',
        'footertext' => '#fffffa',
        'text' => '#636466',
        'link' => '#428bca',
        'button' => '#00aeef',
        'buttonlink' => '#fffffc',
        'primaryhighlight' => '#5c2e91',
        'secondaryhighlight' => '#c6168d',
        'branchsubheaderbg' => '#15bfb9',
        'campheaderbg' => '#15b461',
        'campheaderhover' => '#1962fb',
        'campheaderlink' => '#fffff8',
        'campheaderlinkhover' => '#d8d8d7',
        'campsubheaderbg' => '#028cfa',
        'campmenubg' => '#a907c3',
        'campmenulink' => '#fffdff',
        'campmenuhighlight' => '#be20ba',
        'campbg' => '#fffffe',
        'campfooter' => '#c6168a',
        'campfootertext' => '#fffff7',
        'camptext' => '#636465',
        'camplink' => '#01a44f',
        'campbutton' => '#02b860',
        'campbuttonlink' => '#fffff9',
      ],
    ],
  ],

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => [
    'css/colors.css',
  ],

  // Copy the logo file from the theme. Color module forces this behavior.
  'copy' => [
    'logo.svg',
  ],

  // Preview files.
  'preview_library' => 'openy_rose/color.preview',
  'preview_html' => 'color/preview.html',

  // Attachments.
  '#attached' => [
    'drupalSettings' => [
      'color' => [
        // Put the logo path into JavaScript for the live preview.
        'logo' => theme_get_setting('logo.url', 'openy_rose'),
      ],
    ],
  ],
];
